EDIT - feature request #6561

TimePeriodParser support for ISO 8601 date formats

04/10/2017 02:27 PM - Andreas Kohlbecker

Status: New Start date:
Priority: New Due date:
Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version: Unassigned CDM tickets
Severity: normal
Description
The should support ISO 8601 date formats:
e YYYY
¢ YYYY-MM
¢ YYYY-MM-DD
Related issues:
Related to PhycoBank - feature request #6169: Algae Registry web-application Closed
Related to EDIT - feature request #6564 full support for ISO 8601 date time ... New

History

#1 - 04/10/2017 02:27 PM - Andreas Kohlbecker

- Related to feature request #6169: Algae Registry web-application added

#2 - 04/11/2017 03:05 PM - Andreas Kohlbecker

- Related to feature request #6564: full support for ISO 8601 date time format added

#3 - 04/11/2017 03:05 PM - Andreas Kohlbecker
- Tags changed from phycobank to phycobank, iso8601

#4 - 08/07/2017 11:37 AM - Andreas Kohlbecker

- Category set to cdm

#5 - 01/18/2018 06:06 PM - Andreas Kohlbecker

- Assignee set to Andreas Miller

#6 - 01/18/2018 10:21 PM - Andreas Miiller

The TimePeriodParser already supports YYYY and YYYY-MM-DD.

However, YYYY-MM is not correctly recognized and there is a reason for it. In literature and most data to parse XXXXX-XX is used as a real period
e.g. 1801-03 more often means 1801-1803 then March 1801. So the parser may become ambiguous here.

It is difficult to solve this ambiguity.

Some solutions:

e |f the 3rd and 4th digit of the year are larger then 12 or not smaller then the second part it is expected that the ISO 8601 date is meant.
Otherwise use the period interpretation. This is helpful if one does not know which format might be meant, e.g. in the TaxEditor time period

parser.

period is a single date only and not a real period.
Use separate parser classes for certain formats
Allow to pass the expected format as a parameter

TBC

Refer also to #6564#note-2 for further discussion of ambiguity.

#7 - 08/13/2018 10:31 AM - Andreas Miiller

03/20/2024

Allow ordering priority of certain formats by the user

Offer explicit method to parse certain formats, such as parselso8601() or parseStartEndPeriod() or parseSingleDate() if one knows that a time
https://dev.e-taxonomy.eu/redmine/issues/6564#note-2

- Tags changed from phycobank, iso8601 to phycobank, iso8601, parser

03/20/2024 22


http://www.tcpdf.org

